      SUBROUTINE INITVF
*** Initialize variance factors to 1.00
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      IMPLICIT INTEGER (I-N)
      COMMON /VF/ VFACTR(31)

      DO 10 I = 1,31
         VFACTR(I) = 1.00D0
   10 CONTINUE
      RETURN
      END

      SUBROUTINE AFVF(CARD)
*** Process VF (Variance Factor) card
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      IMPLICIT INTEGER (I-N)
      CHARACTER*80 CARD
      COMMON /VF/ VFACTR(31)

      READ(CARD,10) KIND, VALUE
   10 FORMAT(2X,I2,F5.2)
      VFACTR(KIND) = VALUE
      RETURN
      END
